/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// Personne.java

package org.objectweb.jonas.jtests.beans.annuaire;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * Personne remote interface
 */
public interface Personne extends EJBObject {
    public String getNumero() throws RemoteException;
    public void setNumero(String s) throws RemoteException;
    public void setNom(String s) throws RemoteException;
    public String getNom() throws RemoteException;
    public boolean isDirty() throws RemoteException;
    public void reset() throws RemoteException;
    public boolean isModifiedCalled() throws RemoteException;
    public boolean ejbStoreCalled() throws RemoteException;
    public String getNumeroNTX() throws RemoteException;
    public void setNumeroNTX(String s) throws RemoteException;
    public int setTimer(int dur, int period) throws RemoteException;
    public void cancelTimer(int id) throws RemoteException;
    public long getTimeRemaining(int id) throws RemoteException;
    public int getTimerCount() throws RemoteException;
}
